%%% CORRELATE TO SST%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%if 1
%close all
% addpath C:\Users\marlos.goes\Documents\Documents\MATLAB\matlab_toolbox\m_map
 addpath /data/mgoes/matlab/mapcolor

%load /data/mgoes/SA_gyre/wavelet/Felipe/mapa.mat
%p1 = linspace(0,1,length(mapa));
mapa2 = jet(24); %interp1(p1,mapa,linspace(0,1,24));
[X,Y]=meshgrid(lon,lat);

%% Number of EEOF to display     
NMOD = 3;
%ang = -1*[180 135 90 45 0];%0:30:150 %330;    %update from here
ang = 0:45:180;%0:30:150 %330;    %update from here
%ang = [0:30:150] %330;    %update from here
NANG = length(ang);
lat_vec = round(lat);lat_vec=min(lat_vec):5:max(lat_vec);
lon_vec = round(lon);lon_vec=min(lon_vec):10:max(lon_vec);

% Open figure and first guest
%figure;clf;hold on
   foo=figure(2);
    clf;hold on
    set(gcf,'PaperPosition',[1 1 10 8]); 
    set(gcf,'DefaultLineLineWidth',1)
    wysiwyg;
typg=8;
width  = .9/NMOD;
height = .9/NANG;
dleft = (.95-width*NMOD)/4;
left  = dleft+.05;
load mapanom %2

for nmod = 1:3 %2%1%:3
lang = length(ang);
cmax = 0;

    %ROTATE MATRIX  (PERFECT)
    
for nang = 1:lang %+1   %+1 for USE SLP
rotmat = [cos(ang(nang)*pi/180) -sin(ang(nang)*pi/180);...
          sin(ang(nang)*pi/180) cos(ang(nang)*pi/180)];
mat = [real(EOFs(nmod,:));imag(EOFs(nmod,:))];
matr = rotmat*mat;
pcr = rotmat*[real(PC(nmod,:));imag(PC(nmod,:))];
pc = [pcr(1,:)+1i*pcr(2,:)];
eof = squeeze(mat2map(mask,matr(1,:)+1i*matr(2,:)));
%end

[PC2,~,mo] = make_monthly_mean(real(pc),month);
CHP2 = squeeze(real(eof));


% if 0
% figure;clf;
% set(gcf,'PaperPosition',[1 1 9 2.5]); 
% set(gcf,'DefaultLineLineWidth',1)%.5)
% wysiwyg;
figure(foo)
      bottom = .95-height*nang;
      subplot('Position',[left bottom width height-0.01]);

m_proj('miller','long',[min(lon) max(lon)],'lat',[min(lat) max(lat)]);%[-34 -20]
m_contourf(lon,lat,CHP2*100,-5:0.25:5,'edgecolor','none')                   %PUT TO CM
%hold on
%m_grid('linest','none','tickdir','in','fontsize',12,'linewidth',2);
%setGHRSSTanomalyColor
colormap(mapanom);%brighten(0.5)
caxis([-2 2])
%caxis([-.801 .801])
%figname = sprintf('%s%d%s%s','Figures/CORR_SST_MODE',nmod,suffix,'_1.jpg')
%print('-dpng','-r400',figname)

      if nmod>1&&nang<NANG
          m_grid('linest','none','ytick','','xtick','','linewidth',2);
      elseif nmod==1&&nang<NANG
          m_grid('linest','none','xtick','','linewidth',2,'ytick',lat_vec);%[10 20 30 40 50 60]);
      elseif nmod==1&&nang==NANG
           m_grid('linest','none','linewidth',2,'xtick',lon_vec,'ytick',lat_vec);%[10 20 30 40 50 60]);
      else
          m_grid('linest','none','ytick','','linewidth',2,'xtick',lon_vec);
      end
%keyboard      
      axis normal
m_coast('patch',[.5 .5 .5]);%,'linewidth',3);
tlat = max(lat)-(max(lat)-min(lat))/10;
 %     m_text(-92,30,sprintf('%s%7.2f%s','\phi=',(phi),'^o')) %MARLOS : NOW FOR EACH IMOD
      m_text(-92,tlat,sprintf('%s%7.0f%s','\phi=',(ang(nang)),'^o')) %MARLOS : NOW FOR EACH IMOD

          if(nang==1)
         titre=strcat('CEOF',num2str(nmod),'(',num2str(EXPVAR(nmod)),'%)');
         title(titre);
         if nmod==1
         col=colorbar('position',[.31 .865 .012 .07 ]);
          set(col,'Ticks',[-5:2.5:5])
         end
          end
end  %ang
    left = left + width + dleft-0.01;
  
      %%m_line([28 28;15 15;15 28;28 15]',[-18 0;0 -18;0 0;-18 -18]','color',[0 0 0])

%col=colorbar('position',[.92 0.58 .02 .3412 ]);
%col=colorbar('horizontal','position',[.2 .51 .6 .02]);
%set(col,'fontsize',12,'xtick',[-.5:.25:.5])

%figname = sprintf('%s%d%s%s','Figures/CORR_SST_MODE',nmod,suffix,'_2.jpg')
%figname = sprintf('%s%d%s%s','Figures/CORR_SST_MODE',nmod,suffix,'_2_2_7b.jpg') %ADT_2periods_updated
%print('-dpng','-r400',figname)
%end %ang
%end %ang

%PLOT TIMESERIES
figure(foo.Number+1)
set(gcf,'PaperPosition',[1 1 5 8]); 
set(gcf,'DefaultLineLineWidth',1.5)
wysiwyg;

subplot(3,1,nmod)
plot(ydec,real(PC(nmod,:)));  
title(sprintf('CEOF%i',nmod))
end %for nmod
 %save2eps('maps_interannual_3modes_20_36.eps',1,300)
 %print -djpeg -r300 maps_interannual_3modes_20_36.jpg
return



