
clear
close all

%load_path
addpath /phodnet/share/mgoes/matlab/pcatool
addpath /phodnet/share/mgoes/matlab/m_map/
addpath /phodnet/share/mgoes/matlab2/Time_transform
addpath /phodnet/share/mgoes/matlab2/timeplt
addpath /phodnet/share/mgoes/matlab/wavelet/
addpath /phodnet/share/mgoes/matlab/mystuff

disp('LOAD data...')

modo = 'monthly' %monthly';%daily'
load ADTanom_monthly.mat     %SSH anomalies
month = julian2month(time);
 ydec = month2yfraction(month);
%end

[nt,ny,nx] = size(ADT);
nl = numel(ADT(1,:,:));
ADT = bsxfun(@times,ADT,cos(lat(:,ones(1,nt))'*pi/180));  %area weight

mask = ~isnan(squeeze(ADT(1,:,:)));
mask2 = isnan(squeeze(ADT));


%% keyboard
disp('BEGIN LOOP...')

%COMPLEX EOFs
M = map2mat(mask,ADT);N=3;METHOD = 2;
M(isnan(M))=0;
[EOFs,PC,EXPVAR] = calCeof(M,N,METHOD);

%RECONSTRUCT MONTHLY MODES
reconstruct_eof

CHP = mat2map(mask,squeeze(EOFs));
%SPATIAL PHASEadd
theta = angle(CHP)*180/pi;
%TEMPORAL PHASE
phi = angle(PC)*180/pi;

%SAVE MODES
%file = sprintf('%s%s%s%3.1f_%3.1f%s','CEOFs',modo,'_wavelet_',VecFilt{:},'.mat')
%save(file,'EOFs','PC','mask','lon','lat','time','CHP','theta','phi','reconstruction1','reconstruction2','reconstruction')

%plot_sprectrum
NLAG = 5        %Number of Phases to display
disp_CEOF_rot_maps

return

